# -*- coding: utf-8 -*-
# Moovida - Home multimedia server
# Copyright (C) 2006-2009 Fluendo Embedded S.L. (www.fluendo.com).
# All rights reserved.
#
# This file is available under one of two license agreements.
#
# This file is licensed under the GPL version 3.
# See "LICENSE.GPL" in the root of this distribution including a special
# exception to use Moovida with Fluendo's plugins.
#
# The GPL part of Moovida is also available under a commercial licensing
# agreement from Fluendo.
# See "LICENSE.Moovida" in the root directory of this distribution package
# for details on that license.

import unittest
import sys
import gobject

from pkg_resources import resource_filename

from elisa.plugins.pigment.widgets.label import Label
from elisa.plugins.pigment.widgets.const import *
import pgm

class TestLabel(unittest.TestCase):

    def test_simple(self):
        label = Label()

    def test_text (self):
        label = Label()

        self.assertEqual(label.text, '')

        label.text = "ciao"
        self.assertEqual(label.text, 'ciao')

